<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_SocialPoi_To_Driver StructType
 * @subpackage Structs
 */
class Get_SocialPoi_To_Driver extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PoiToDriverSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PoiToDriverSelection
     */
    public $PoiToDriverSelection;
    /**
     * Constructor method for Get_SocialPoi_To_Driver
     * @uses Get_SocialPoi_To_Driver::setLogin()
     * @uses Get_SocialPoi_To_Driver::setPoiToDriverSelection()
     * @param \StructType\Login $login
     * @param \StructType\PoiToDriverSelection $poiToDriverSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\PoiToDriverSelection $poiToDriverSelection = null)
    {
        $this
            ->setLogin($login)
            ->setPoiToDriverSelection($poiToDriverSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_SocialPoi_To_Driver
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PoiToDriverSelection value
     * @return \StructType\PoiToDriverSelection|null
     */
    public function getPoiToDriverSelection()
    {
        return $this->PoiToDriverSelection;
    }
    /**
     * Set PoiToDriverSelection value
     * @param \StructType\PoiToDriverSelection $poiToDriverSelection
     * @return \StructType\Get_SocialPoi_To_Driver
     */
    public function setPoiToDriverSelection(\StructType\PoiToDriverSelection $poiToDriverSelection = null)
    {
        $this->PoiToDriverSelection = $poiToDriverSelection;
        return $this;
    }
}
